/**
 * Copyright (c) 2000-2013 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package vn.dtt.sol.cmon.user.dao.model;

import com.liferay.portal.kernel.bean.AutoEscape;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import vn.dtt.sol.cmon.user.dao.service.persistence.UserNuocSachPK;

import java.io.Serializable;

import java.util.Date;

/**
 * The base model interface for the UserNuocSach service. Represents a row in the &quot;NS_USER&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link vn.dtt.sol.cmon.user.dao.model.impl.UserNuocSachModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link vn.dtt.sol.cmon.user.dao.model.impl.UserNuocSachImpl}.
 * </p>
 *
 * @author khoa.vu
 * @see UserNuocSach
 * @see vn.dtt.sol.cmon.user.dao.model.impl.UserNuocSachImpl
 * @see vn.dtt.sol.cmon.user.dao.model.impl.UserNuocSachModelImpl
 * @generated
 */
public interface UserNuocSachModel extends BaseModel<UserNuocSach> {
	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify or reference this interface directly. All methods that expect a user nuoc sach model instance should use the {@link UserNuocSach} interface instead.
	 */

	/**
	 * Returns the primary key of this user nuoc sach.
	 *
	 * @return the primary key of this user nuoc sach
	 */
	public UserNuocSachPK getPrimaryKey();

	/**
	 * Sets the primary key of this user nuoc sach.
	 *
	 * @param primaryKey the primary key of this user nuoc sach
	 */
	public void setPrimaryKey(UserNuocSachPK primaryKey);

	/**
	 * Returns the ID of this user nuoc sach.
	 *
	 * @return the ID of this user nuoc sach
	 */
	public long getId();

	/**
	 * Sets the ID of this user nuoc sach.
	 *
	 * @param id the ID of this user nuoc sach
	 */
	public void setId(long id);

	/**
	 * Returns the map user ID of this user nuoc sach.
	 *
	 * @return the map user ID of this user nuoc sach
	 */
	public long getMapUserId();

	/**
	 * Sets the map user ID of this user nuoc sach.
	 *
	 * @param mapUserId the map user ID of this user nuoc sach
	 */
	public void setMapUserId(long mapUserId);

	/**
	 * Returns the map user uuid of this user nuoc sach.
	 *
	 * @return the map user uuid of this user nuoc sach
	 * @throws SystemException if a system exception occurred
	 */
	public String getMapUserUuid() throws SystemException;

	/**
	 * Sets the map user uuid of this user nuoc sach.
	 *
	 * @param mapUserUuid the map user uuid of this user nuoc sach
	 */
	public void setMapUserUuid(String mapUserUuid);

	/**
	 * Returns the ten of this user nuoc sach.
	 *
	 * @return the ten of this user nuoc sach
	 */
	@AutoEscape
	public String getTen();

	/**
	 * Sets the ten of this user nuoc sach.
	 *
	 * @param ten the ten of this user nuoc sach
	 */
	public void setTen(String ten);

	/**
	 * Returns the trang thai of this user nuoc sach.
	 *
	 * @return the trang thai of this user nuoc sach
	 */
	public boolean getTrangThai();

	/**
	 * Returns <code>true</code> if this user nuoc sach is trang thai.
	 *
	 * @return <code>true</code> if this user nuoc sach is trang thai; <code>false</code> otherwise
	 */
	public boolean isTrangThai();

	/**
	 * Sets whether this user nuoc sach is trang thai.
	 *
	 * @param trangThai the trang thai of this user nuoc sach
	 */
	public void setTrangThai(boolean trangThai);

	/**
	 * Returns the ngay tao of this user nuoc sach.
	 *
	 * @return the ngay tao of this user nuoc sach
	 */
	public Date getNgayTao();

	/**
	 * Sets the ngay tao of this user nuoc sach.
	 *
	 * @param ngayTao the ngay tao of this user nuoc sach
	 */
	public void setNgayTao(Date ngayTao);

	/**
	 * Returns the ngay sua of this user nuoc sach.
	 *
	 * @return the ngay sua of this user nuoc sach
	 */
	public Date getNgaySua();

	/**
	 * Sets the ngay sua of this user nuoc sach.
	 *
	 * @param ngaySua the ngay sua of this user nuoc sach
	 */
	public void setNgaySua(Date ngaySua);

	/**
	 * Returns the nguoi tao of this user nuoc sach.
	 *
	 * @return the nguoi tao of this user nuoc sach
	 */
	@AutoEscape
	public String getNguoiTao();

	/**
	 * Sets the nguoi tao of this user nuoc sach.
	 *
	 * @param nguoiTao the nguoi tao of this user nuoc sach
	 */
	public void setNguoiTao(String nguoiTao);

	/**
	 * Returns the nguoi sua of this user nuoc sach.
	 *
	 * @return the nguoi sua of this user nuoc sach
	 */
	@AutoEscape
	public String getNguoiSua();

	/**
	 * Sets the nguoi sua of this user nuoc sach.
	 *
	 * @param nguoiSua the nguoi sua of this user nuoc sach
	 */
	public void setNguoiSua(String nguoiSua);

	/**
	 * Returns the to chuc ID of this user nuoc sach.
	 *
	 * @return the to chuc ID of this user nuoc sach
	 */
	public long getToChucId();

	/**
	 * Sets the to chuc ID of this user nuoc sach.
	 *
	 * @param toChucId the to chuc ID of this user nuoc sach
	 */
	public void setToChucId(long toChucId);

	/**
	 * Returns the screen name of this user nuoc sach.
	 *
	 * @return the screen name of this user nuoc sach
	 */
	@AutoEscape
	public String getScreenName();

	/**
	 * Sets the screen name of this user nuoc sach.
	 *
	 * @param screenName the screen name of this user nuoc sach
	 */
	public void setScreenName(String screenName);

	/**
	 * Returns the email address of this user nuoc sach.
	 *
	 * @return the email address of this user nuoc sach
	 */
	@AutoEscape
	public String getEmailAddress();

	/**
	 * Sets the email address of this user nuoc sach.
	 *
	 * @param emailAddress the email address of this user nuoc sach
	 */
	public void setEmailAddress(String emailAddress);

	/**
	 * Returns the ngay sinh of this user nuoc sach.
	 *
	 * @return the ngay sinh of this user nuoc sach
	 */
	public Date getNgaySinh();

	/**
	 * Sets the ngay sinh of this user nuoc sach.
	 *
	 * @param ngaySinh the ngay sinh of this user nuoc sach
	 */
	public void setNgaySinh(Date ngaySinh);

	/**
	 * Returns the gioi tinh of this user nuoc sach.
	 *
	 * @return the gioi tinh of this user nuoc sach
	 */
	public boolean getGioiTinh();

	/**
	 * Returns <code>true</code> if this user nuoc sach is gioi tinh.
	 *
	 * @return <code>true</code> if this user nuoc sach is gioi tinh; <code>false</code> otherwise
	 */
	public boolean isGioiTinh();

	/**
	 * Sets whether this user nuoc sach is gioi tinh.
	 *
	 * @param gioiTinh the gioi tinh of this user nuoc sach
	 */
	public void setGioiTinh(boolean gioiTinh);

	/**
	 * Returns the mat khau of this user nuoc sach.
	 *
	 * @return the mat khau of this user nuoc sach
	 */
	@AutoEscape
	public String getMatKhau();

	/**
	 * Sets the mat khau of this user nuoc sach.
	 *
	 * @param matKhau the mat khau of this user nuoc sach
	 */
	public void setMatKhau(String matKhau);

	@Override
	public boolean isNew();

	@Override
	public void setNew(boolean n);

	@Override
	public boolean isCachedModel();

	@Override
	public void setCachedModel(boolean cachedModel);

	@Override
	public boolean isEscapedModel();

	@Override
	public Serializable getPrimaryKeyObj();

	@Override
	public void setPrimaryKeyObj(Serializable primaryKeyObj);

	@Override
	public ExpandoBridge getExpandoBridge();

	@Override
	public void setExpandoBridgeAttributes(BaseModel<?> baseModel);

	@Override
	public void setExpandoBridgeAttributes(ExpandoBridge expandoBridge);

	@Override
	public void setExpandoBridgeAttributes(ServiceContext serviceContext);

	@Override
	public Object clone();

	@Override
	public int compareTo(UserNuocSach userNuocSach);

	@Override
	public int hashCode();

	@Override
	public CacheModel<UserNuocSach> toCacheModel();

	@Override
	public UserNuocSach toEscapedModel();

	@Override
	public UserNuocSach toUnescapedModel();

	@Override
	public String toString();

	@Override
	public String toXmlString();
}